Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.examples.conversation
Class AbleChat3GuiLogic

    java.lang.Object
      com.ibm.able.conversation.AbleOwned
          com.ibm.able.examples.conversation.AbleChat3GuiLogic

public class AbleChat3GuiLogic
extends AbleOwned

Constructor Summary
`AbleChat3GuiLogic()`
`AbleChat3GuiLogic(AbleBean owner)`

Method Summary
`protected AbleChat3Panel` | `createPane(Conversation conv)`
`void` | `halted(Conversation conv, DecisionDataHandle ddh)`
`void` | `role1Active(Conversation conv, DecisionDataHandle ddh)`
`void` | `role2Active(Conversation conv, DecisionDataHandle ddh)`
`void` | `start(Conversation conv, DecisionDataHandle ddh)`

Methods inherited from class com.ibm.able.conversation.AbleOwned
`getAbleOwner, logException, logMessage, setAbleOwner`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbleChat3GuiLogic

    public AbleChat3GuiLogic()

### AbleChat3GuiLogic

    public AbleChat3GuiLogic(AbleBean owner)

Method Detail

### createPane

    protected AbleChat3Panel createPane(Conversation conv)

### start

    public void start(Conversation conv,
                      DecisionDataHandle ddh)

### role1Active

    public void role1Active(Conversation conv,
                            DecisionDataHandle ddh)

### role2Active

    public void role2Active(Conversation conv,
                            DecisionDataHandle ddh)

### halted

    public void halted(Conversation conv,
                       DecisionDataHandle ddh)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005